<template>
  <LoadingLayout>
    <ContentScrollView :paddingH="false" style="background-color: transparent">
      <div class="mine-agreement-sign-detail">
        <MineAgreementSignDetailCard title="基本信息">
          <template #content>
            <MineAgreementSignDetailItem
              label="协议编号"
              detail="QY1052511040446686047"
            ></MineAgreementSignDetailItem>
            <MineAgreementSignDetailItem
              label="协议状态"
              detail="生效中/已终止"
            ></MineAgreementSignDetailItem>
            <MineAgreementSignDetailItem
              label="起始时间"
              detail="2024.05.20"
            ></MineAgreementSignDetailItem>
            <MineAgreementSignDetailItem
              label="终止时间"
              detail="2025.05.19"
            ></MineAgreementSignDetailItem>
            <MineAgreementSignDetailItem
              label="协议类型"
              detail="劳动合同"
            ></MineAgreementSignDetailItem>
          </template>
        </MineAgreementSignDetailCard>
        <MineAgreementSignDetailCard title="签约方信息 - 员工">
          <template #content>
            <MineAgreementSignDetailItem
              label="员工姓名"
              detail="阳阳"
            ></MineAgreementSignDetailItem>
            <MineAgreementSignDetailItem
              label="证件类型"
              detail="居民身份证"
            ></MineAgreementSignDetailItem>
            <MineAgreementSignDetailItem
              label="证件号码"
              detail="622429199105261913"
            ></MineAgreementSignDetailItem>
            <MineAgreementSignDetailItem label="岗位" detail="保洁"></MineAgreementSignDetailItem>
            <MineAgreementSignDetailItem
              label="签约时间"
              detail="2024.05.20"
            ></MineAgreementSignDetailItem>
          </template>
        </MineAgreementSignDetailCard>
        <MineAgreementSignDetailCard title="签约方信息 - 公司主体">
          <template #content>
            <MineAgreementSignDetailItem
              label="主体类型"
              detail="公司"
            ></MineAgreementSignDetailItem>
            <MineAgreementSignDetailItem
              label="签约主体"
              detail="宁波人力无忧人力资源"
            ></MineAgreementSignDetailItem>
            <MineAgreementSignDetailItem
              label="签约时间"
              detail="2024.05.20"
            ></MineAgreementSignDetailItem>
          </template>
        </MineAgreementSignDetailCard>
        <MineAgreementSignDetailCard title="签约内容">
          <template #content>
            <MineAgreementSignDetailItem label="协议内容">
              <template #detail>
                <div class="detail-card-btn">查看协议</div>
              </template>
            </MineAgreementSignDetailItem>
          </template>
        </MineAgreementSignDetailCard>
      </div>
    </ContentScrollView>
    <PageFooter>
      <PageFooterBtn type="primary" @click="goToSign">去签约</PageFooterBtn>
    </PageFooter>
  </LoadingLayout>
</template>

<script setup lang="ts">
import { useUserStore } from '@/stores/modules/user';
import MineAgreementSignDetailCard from './MineAgreementSignDetailCard.vue';
import MineAgreementSignDetailItem from './MineAgreementSignDetailItem.vue';

defineOptions({
  name: 'InnerPage',
});

const queryState = reactive({});

const userStore = useUserStore();

function goToSign() {}
</script>

<style lang="scss">
@import '@/styles/common.scss';

.mine-agreement-sign-detail {
  padding: 20px 28px 0;

  .mine-agreement-sign-detail-card {
    margin-bottom: 24px;
  }
}

.detail-card-btn {
  color: boleGetCssVar('color', 'primary');
}
</style>
